@import "../../../_variables.sass";

.collapse-card {
  border-radius: 4px;
  overflow: hidden;
  box-shadow: $card-shadow;

  @include mobile {
    padding: 0;
    box-shadow: none;
    border: none;
  }
}

.collapse-header {
  background-color: $collapse-card-background-color;
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  font-weight: bold;
  width: 100%;

  @include mobile {
    height: 100%;
  }
}

.icon-wrapper {
  margin-right: 10px;
  display: flex;
  align-items: center;
  justify-content: center;

  @include mobile {
    flex: 0 0 100px;
    width: 100px;
    height: 100px;
    margin-right: 10px;

    img {
      width: 100px;
      height: 100px;
      object-fit: contain;
    }
  }
}

.header-content {
  display: flex;
  flex-direction: column;
  flex: 1;
  justify-content: center;

  @include mobile {
    flex: 1;
  }
}

.collapse-title {
  font-size: $size-12;
  line-height: 48px;
  font-weight: 700;
  color: $primary;
}

.collapse-description {
  font-size: 22px;
  color: $primary;
  font-weight: 400;
}

.collapse-icon {
  margin-left: auto;
  color: $primary;
  margin-right: 10px;
}

.collapse-content-wrapper {
  margin: 1.5rem 1.5rem 1.5rem 0;
  background-color: $collapse-card-background-color;
  transition: padding 0.5s ease-out, background-color 0.5s ease-out;

  .columns {
    background-color: #ffffff;
  }

  @include mobile {
    margin: 0;
  }
}

.collapse-content {
  box-shadow: $card-shadow;
  overflow: hidden;
  transition: max-height 0.5s ease-out, margin-top 0.5s ease-out;
  background-color: $collapse-card-background-color;

  @include mobile {
    box-shadow: none;
  }
}

.collapse-content.open {
  margin-top: 3px;

  @include mobile {
    margin-top: 16px;
  }
}

.collapse-content.open .collapse-content-wrapper {
  background-color: $collapse-card-background-color;
}

@include mobile {
  .collapse-title {
    font-size: 32px;
    line-height: 40px;
  }

  .collapse-card {
    height: 120px;
  }
}
